Subject: Re: [PATCH 2/3] netpoll: rework skb transmit queue

From: Stephen Hemminger <[email-masked]>
Date: Fri, 20 Oct 2006 08:18:57 -0700

On Fri, 20 Oct 2006 00:15:30 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Stephen Hemminger <[email-masked]>
> Date: Thu, 19 Oct 2006 10:15:43 -0700
> 
> > The original skb management for netpoll was a mess, it had two queue paths
> > and a callback. This changes it to have a per-instance transmit queue
> > and use a tasklet rather than a work queue for the congested case.
> > 
> > Signed-off-by: Stephen Hemminger <[email-masked]>
> 
> I think you mis-diffed this one:
> 
> - 	WARN_ON(skb->protocol == 0);
> 
> That line doesn't exist in my copy of net/core/netpoll.c
> even with your first patch applied.
> 
> Also, you forgot to remove the ->drop callback pointer
> from struct netpoll, which you should do if it really
> isn't used any more.
> 
> I think you might run into problems there, as I believe the netdump
> stuff does make non-trivial use of the ->drop callback.  Indeed, it
> uses the ->dump callback for invoking a special
> netpoll_start_netdump() function.  I'm pretty sure ->dump was created
> specifically to accomodate netdump.
> 

Netdump is not in the tree, so I can't fix it. Also netdump is pretty
much superseded by kdump.

> So this is something else which will need to be worked out before we
> can apply this patch.